{$I PIETOOLS.INC}
{ Autor: Ingolf Pietschmann.
  Dieser Quelltext ist Freeware. Die Verwendung und Weitergabe dieser Sourcen zu
  privaten nicht kommerziellen Zwecken ist ausdrcklich erwnscht.
  Die Verwendung zu kommerziellen Zwecken ist nur mit Erlaubnis des Autors
  gestattet. Den Autor knnen Sie unter "Pie-Tool@gmx.de" erreichen.

  These sources are freeware. The usage and distribution of these sources for
  private, not commercial purposes is explicit desired.
  The usage for commercial purposes is only permitted in agreement of the author.
  The author can be reached by "Pie-Tool@gmx.de".
}
unit PieTCReg;

interface

USES DsgnIntf;

TYPE
{$IFDEF D5_OR_HIGHER}
  TPieToolsCategory = class(TPropertyCategory)
  public
    class function Name: string; override;
    class function Description: string; override;
  end;
{$ENDIF}

procedure Register;

implementation

uses
  Classes, graphics, pieHerk,
  PieTransparentControls;
{ ************************************************* }
{$IFDEF D5_OR_HIGHER}
class function TPieToolsCategory.Name: string;
BEGIN
  Result := 'PieTools';
END;
class function TPieToolsCategory.Description: string;
BEGIN
  Result := 'Extended properties from PieTools';
END;
{$ENDIF}
{ ************************************************* }
procedure Register;
begin
{ ************************************************* }
 RegisterComponents('PieTools',
   [TPieCheckBox, TPieButton]);
{ ************************************************* }
{ ************************************************* }
{ ************************************************* }
{$IFDEF D5_OR_HIGHER}
  RegisterPropertiesInCategory(TPieToolsCategory, TPieCheckBox,
    ['CheckBoxPosition', 'CheckBoxStyle', 'CheckBoxSize', 'CheckBoxTransparent',
     'FocusStyle', 'HookStyle', 'Transparent', 'WordWrap', 'Layout',
     'FocusColor', 'HookColor', 'ButtonEffect']);
  RegisterPropertiesInCategory(TPieToolsCategory, TPieButton,
    ['Alignment', 'ButtonLayout', 'Glyph', 'Layout', 'Margin', 'ModalResult',
     'FocusStyle', 'Spacing', 'Transparent', 'WordWrap', 'FocusColor',
     'Background', 'ShowBackground']);
{$ENDIF}
end;

end.
